Subject: linux-next: manual merge of the clk tree with the renesas tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 15 May 2014 16:11:21 +1000

Hi Mike,

Today's linux-next merge of the clk tree got a conflict in
Documentation/devicetree/bindings/clock/renesas,cpg-mstp-clocks.txt
between commit b557deadc5cc ("ARM: shmobile: r7s72100: document MSTP
clock support") from the renesas tree and commit 5483bf698f42 ("clk:
shmobile: r8a7779: Add MSTP clock support") from the clk tree.

I fixed it up (see below) and can carry the fix as necessary (no action
is required).

-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc Documentation/devicetree/bindings/clock/renesas,cpg-mstp-clocks.txt
index b5fc72621bfd,30df825d72ef..000000000000
--- a/Documentation/devicetree/bindings/clock/renesas,cpg-mstp-clocks.txt
+++ b/Documentation/devicetree/bindings/clock/renesas,cpg-mstp-clocks.txt
@@@ -10,7 -10,7 +10,8 @@@ index in the group, from 0 to 31
  Required Properties:
  
    - compatible: Must be one of the following
 +    - "renesas,r7s72100-mstp-clocks" for R7S72100 (RZ) MSTP gate clocks
+     - "renesas,r8a7779-mstp-clocks" for R8A7779 (R-Car H1) MSTP gate clocks
      - "renesas,r8a7790-mstp-clocks" for R8A7790 (R-Car H2) MSTP gate clocks
      - "renesas,r8a7791-mstp-clocks" for R8A7791 (R-Car M2) MSTP gate clocks
      - "renesas,cpg-mstp-clock" for generic MSTP gate clocks